---
title: Refresh account disk usage
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/refreshaccountdiskusage/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/refreshaccountdiskusage.png
---

# Refresh account disk usage

POST

/accounts/{account_id}/usage/refresh_disk_usage

Select code sample

```sh
curl --request POST \
  --url https://api.wpengineapi.com/v1/accounts/eeda3227-9a39-46ae-9e14-20958bb4e6c9/usage/refresh_disk_usage \
  --header 'Authorization: Basic <credentials>'
```

-

Triggers an asynchronous job to recalculate the disk usage of the installs associated with the account.

## Limitations & Warnings

- Asynchronous: the request returns immediately and does not return the updated usage data. To check progress, poll `GET /accounts/{account_id}/usage`. A successful request populates the `account_storage_refresh_expected_time` attribute in that response, indicating when the data is expected to be fresh.
- Multiple requests for the same environment result in a single recalculation.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**account_id**

required

string format: uuid

The unique identifier (UUID) of the account.

#### Example

```
eeda3227-9a39-46ae-9e14-20958bb4e6c9
```

## Responses

### 200

Returns `null`. The disk usage refresh has been initiated.

### 400

Bad Request

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not Authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not Found. The account with the specified UUID could not be found.

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

### default

An unexpected error occurred.

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
